<img align="right" src="https://git.spip.net/spip-contrib-extensions/menu_boutique/raw/branch/master/images/menu_boutique.png">

# Menu Boutique

Un seul menu pour gérer une boutique !

Ce plugin regroupe dans un seul menu les plugins déjà installés pour constituer une boutique.

## Installation & Usage
S'installe sur un SPIP 3.2 minimum, ce plugin utilise le pipeline ajouter_menus.

Une fois le plugin activé le menu Boutique est visible à droite dans le bandeau du haut de l'interface privé de SPIP.
Si vous avez installé certains des plugins d'une boutique, les boutons sont déplacés dans ce menu.
Si un des plugins n'est pas activé, il n'apparait donc pas dans ce menu.

## Ce que ce plugin fait
Il installe les boutons de boutique avec les plugins pris en charge éventuellement affichés dans le menu :
- Produits
- Commandes
- Factures
- Transactions (Bank)
- Stocks
- Modes de livraison
- Coordonnées
- Options de produits
- Coupons
- Billetteries
- Montants

3 boutons en sus par defaut :
- La rubrique choisie dans la config produits ou la rubrique racine avec le nom du site
- Les mots clefs avec les plugins produits et motus pour configurer la rubrique qui recevra les mots-clefs
- Clients (soit vous avez installé Clients ou Contacts soit ce bouton mène à la page visiteurs)

Pour réordonner la liste, pour l'instant, il vous faut aller dans vos préférences (ecrire/?exec=configurer_preferences) et numéroter les entrées.

! Les boutons de configuration des plugins de boutique restent à leur place !

## Ajouter ou retirer un élément du menu
2 méthodes très simples sont possibles :

Ajouter une entrée en commitant dans le plugin menu_boutique directement :
menu_boutique_pipelines.php

```

function menu_boutique_ajouter_menus($flux){
//ajouter votre entrée ici pour en faire profiter tout le monde
	$boutons_boutique = array('commandes','factures','coordonnees','produits','monsuperplugin');

```

Ne pas oublier de supprimer le bouton déplacé, en vérifiant son nom dans le paquet.xml du plugin

```
unset($flux['menu_edition']->sousmenu['monsuperplugin']);

```

Ajouter une entrée seulement pour vous avec le pipeline ajouter_menus qui existe dans SPIP par defaut


```

function prefix_plugin_ajouter_menus($flux){

	$plugin = 'mon_plugin';
	
	//supprimer une entrée
	unset($flux['menu_boutique']->sousmenu['mon_plugin']);
	
	//créer une entrée
	$flux['menu_boutique']->sousmenu['mon_plugin'] = 
		new Bouton(
			find_in_theme("images/mon_plugin-xx.svg"), 
			_T("paquet-mon_plugin:mon_plugin_nom"),
			generer_url_ecrire( 'mon_plugin' )
		);
							
	return $flux;
}
```

## Todo
- @todo - ordonner le menu dès le début et non en passant par les prefs auteur

## Changelogs
v1.0.2
- [X] Ajout du plugin Coupons
- [X] Ajout du plugin Billetteries
- [X] Ajout du plugin Montants

v1.0.1
- [X] Le bouton d'accès aux mots-cles dépend des plugins produits et motus configurés sur au moins une rubrique
- [X] reprend les logos svg ou png de chaque plugin dans leurs dossiers
- [X] ajout du plugin options paniers
- [X] ajout d'une entrée "clients" par defaut mène à la page Visiteurs, sinon utilise CLients ou bien Contacts

v1.0.0
- [X] Création du plugin menu_boutique
- fix #3eb434cd9a compatible SPIP 3.2


